| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshWrapperIterator Struct Reference
[Mesh support]

This is an iterator mesh wrappers. More...

`#include <iengine/mesh.h>`

Inheritance diagram for iMeshWrapperIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext () const =0
| Check if we have any more meshes.
virtual iMeshWrapper * | Next ()=0
| Move forward.
virtual void | Reset ()=0
| Reset the iterator to the beginning.

## Detailed Description

This is an iterator mesh wrappers.

Main ways to get pointers to this interface:

- iEngine::GetNearbyMeshes()
- iEngine::GetVisibleMeshes()

Definition at line 1016 of file mesh.h.

## Member Function Documentation

virtual bool iMeshWrapperIterator::HasNext | ( |  | ) | const`[pure virtual]`

Check if we have any more meshes.

virtual iMeshWrapper* iMeshWrapperIterator::Next | ( |  | ) | `[pure virtual]`

Move forward.

virtual void iMeshWrapperIterator::Reset | ( |  | ) | `[pure virtual]`

Reset the iterator to the beginning.

The documentation for this struct was generated from the following file:

- iengine/mesh.h